BimpДовідка

Налаштування інтеграцій: методи API Bimp

Методи API Bimp для ресурсу «Налаштування інтеграцій» (/org2/integrationSettings/…): 7 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/integrationSettings/api-create
POST /org2/integrationSettings/api-create/v2
POST /org2/integrationSettings/api-update
POST /org2/integrationSettings/api-update/v2
POST /org2/integrationSettings/lastUploadDateChange
POST /org2/integrationSettings/api-read
POST /org2/integrationSettings/api-readList

api-create

POST /org2/integrationSettings/api-create

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
tokenstringтак
namestringтак
workStatusnumber (0) | number (1) | number (2)так0 - working | 1 - paused | 2 - deleted
DOMAINstring | nullтак
integrationobjectтак
integration.uuidstring (uuid)так
integration.namestringтак
autoReservebooleanтак
reserveByStockbooleanтак
overwriteExistingPaymentsbooleanтак
overwriteExistingOrdersbooleanтак
overwriteExistingSalesbooleanтак
deliveryServiceobjectтак
deliveryService.uuidstring (uuid)так
deliveryService.namestringтак
organizationobjectтак
organization.uuidstring (uuid)так
organization.namestringтак
organizationForPrintobjectтак
cashRegisterobjectтак
cashRegister.uuidstring (uuid)так
cashRegister.namestringтак
cashPaymentTypenumber (1) | number (2)так
warehouseobject | nullтак
orderUploadFrequencynumberтак
searchCustomerByIdbooleanтак
searchCustomerByNamebooleanтак
searchCustomerByPhonebooleanтак
searchCustomerByEmailbooleanтак
defaultCustomerobject | nullтак
defaultContractobject | nullтак
createCustomersbooleanтак
createPaymentsbooleanтак
createSalesbooleanтак
currencyobject | nullтак
projectobject | nullтак
activityDirectionobject | nullтак
settlementsTypeobjectтак
settlementsType.uuidstring (uuid)так
settlementsType.namestringтак
settlementsType.typestringтак
searchProductByIdbooleanтак
searchProductBySkubooleanтак
searchProductBySkuNamebooleanтак
searchProductByNamebooleanтак
newProductGroupobject | nullтак
createProductsbooleanтак
statusesobject[] | nullтак
paymentMethodsobject[] | nullтак
saleStatusKeyCrmobject | nullтак
lastUploadstring (date-time) | nullтак

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"token":"string","name":"string","workStatus":"string","DOMAIN":"string","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"autoReserve":true,"reserveByStock":true,"overwriteExistingPayments":true,"overwriteExistingOrders":true,"overwriteExistingSales":true,"deliveryService":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organization":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organizationForPrint":{},"cashRegister":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"cashPaymentType":1,"warehouse":"string","orderUploadFrequency":1,"searchCustomerById":true,"searchCustomerByName":true,"searchCustomerByPhone":true,"searchCustomerByEmail":true,"defaultCustomer":"string","defaultContract":"string","createCustomers":true,"createPayments":true,"createSales":true,"currency":"string","project":"string","activityDirection":"string","settlementsType":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string","type":"string"},"searchProductById":true,"searchProductBySku":true,"searchProductBySkuName":true,"searchProductByName":true,"newProductGroup":"string","createProducts":true,"statuses":"string","paymentMethods":"string","saleStatusKeyCrm":"string","lastUpload":"string"}'

api-create/v2

POST /org2/integrationSettings/api-create/v2

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
integrationobjectтак
integration.uuidstring (uuid)так
integration.namestringтак

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-create/v2' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"}}'

api-update

POST /org2/integrationSettings/api-update

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так
tokenstringтак
namestringтак
workStatusnumber (0) | number (1) | number (2)так0 - working | 1 - paused | 2 - deleted
DOMAINstring | nullтак
integrationobjectтак
integration.uuidstring (uuid)так
integration.namestringтак
autoReservebooleanтак
reserveByStockbooleanтак
overwriteExistingPaymentsbooleanтак
overwriteExistingOrdersbooleanтак
overwriteExistingSalesbooleanтак
deliveryServiceobjectтак
deliveryService.uuidstring (uuid)так
deliveryService.namestringтак
organizationobjectтак
organization.uuidstring (uuid)так
organization.namestringтак
organizationForPrintobjectтак
cashRegisterobjectтак
cashRegister.uuidstring (uuid)так
cashRegister.namestringтак
cashPaymentTypenumber (1) | number (2)так
warehouseobject | nullтак
orderUploadFrequencynumberтак
searchCustomerByIdbooleanтак
searchCustomerByNamebooleanтак
searchCustomerByPhonebooleanтак
searchCustomerByEmailbooleanтак
defaultCustomerobject | nullтак
defaultContractobject | nullтак
createCustomersbooleanтак
createPaymentsbooleanтак
createSalesbooleanтак
currencyobject | nullтак
projectobject | nullтак
activityDirectionobject | nullтак
settlementsTypeobjectтак
settlementsType.uuidstring (uuid)так
settlementsType.namestringтак
settlementsType.typestringтак
searchProductByIdbooleanтак
searchProductBySkubooleanтак
searchProductBySkuNamebooleanтак
searchProductByNamebooleanтак
newProductGroupobject | nullтак
createProductsbooleanтак
statusesobject[] | nullтак
paymentMethodsobject[] | nullтак
saleStatusKeyCrmobject | nullтак
lastUploadstring (date-time) | nullтак

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","token":"string","name":"string","workStatus":"string","DOMAIN":"string","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"autoReserve":true,"reserveByStock":true,"overwriteExistingPayments":true,"overwriteExistingOrders":true,"overwriteExistingSales":true,"deliveryService":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organization":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organizationForPrint":{},"cashRegister":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"cashPaymentType":1,"warehouse":"string","orderUploadFrequency":1,"searchCustomerById":true,"searchCustomerByName":true,"searchCustomerByPhone":true,"searchCustomerByEmail":true,"defaultCustomer":"string","defaultContract":"string","createCustomers":true,"createPayments":true,"createSales":true,"currency":"string","project":"string","activityDirection":"string","settlementsType":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string","type":"string"},"searchProductById":true,"searchProductBySku":true,"searchProductBySkuName":true,"searchProductByName":true,"newProductGroup":"string","createProducts":true,"statuses":"string","paymentMethods":"string","saleStatusKeyCrm":"string","lastUpload":"string"}'

api-update/v2

POST /org2/integrationSettings/api-update/v2

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так
integrationobjectтак
integration.uuidstring (uuid)так
integration.namestringтак

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-update/v2' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"}}'

lastUploadDateChange

POST /org2/integrationSettings/lastUploadDateChange

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
lastUploadInvoicestring (date-time)
lastUnloadingLeftoversstring (date-time)
lastUnloadingPricesstring (date-time)
lastUnloadingDealsstring (date-time)
lastUnloadingAddressBooksstring (date-time)
workStatusnumber (0) | number (1) | number (2)так0 - working | 1 - paused | 2 - deleted
uuidstring (uuid)так

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/lastUploadDateChange' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"workStatus":"string","uuid":"00000000-0000-0000-0000-000000000000"}'

api-read

POST /org2/integrationSettings/api-read

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
tokenstring
namestring
workStatusnumber (0) | number (1) | number (2)0 - working | 1 - paused | 2 - deleted
DOMAINstring | null
integrationobject
integration.uuidstring (uuid)
integration.namestring
autoReserveboolean
reserveByStockboolean
overwriteExistingPaymentsboolean
overwriteExistingOrdersboolean
overwriteExistingSalesboolean
deliveryServiceobject
deliveryService.uuidstring (uuid)
deliveryService.namestring
organizationobject
organization.uuidstring (uuid)
organization.namestring
organizationForPrintobject
cashRegisterobject
cashRegister.uuidstring (uuid)
cashRegister.namestring
cashPaymentTypenumber (1) | number (2)
warehouseobject | null
orderUploadFrequencynumber
searchCustomerByIdboolean
searchCustomerByNameboolean
searchCustomerByPhoneboolean
searchCustomerByEmailboolean
defaultCustomerobject | null
defaultContractobject | null
createCustomersboolean
createPaymentsboolean
createSalesboolean
currencyobject | null
projectobject | null
activityDirectionobject | null
settlementsTypeobject
settlementsType.uuidstring (uuid)
settlementsType.namestring
settlementsType.typestring
searchProductByIdboolean
searchProductBySkuboolean
searchProductBySkuNameboolean
searchProductByNameboolean
newProductGroupobject | null
createProductsboolean
statusesobject[] | null
paymentMethodsobject[] | null
saleStatusKeyCrmobject | null
lastUploadstring (date-time) | null
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/integrationSettings/api-readList

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
[].integrationobject
[].integration.uuidstring (uuid)
[].integration.namestring
[].workStatusnumber (0) | number (1) | number (2)0 - working | 1 - paused | 2 - deleted
[].lastUploadInvoicestring
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-readList' \
  -H 'access-token: <токен компанії>'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.